%define name methane
%define version 1.4.0
%define release 3mdk
%define prefix %{_prefix}
%define summary Super Methane Brothers

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://www.methane.fsnet.co.uk/methane.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch0: methane-score.patch.bz2
URL: http://www.methane.fsnet.co.uk/index.html
Copyright: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: zlib-devel libhermes-devel libclanlib1-devel libmikmod-devel
# Author: rombust@postmaster.co.uk

%description
A bubble bobble like arcade game.

IMPORTANT NOTE: this is a conversion of the Commodore Amiga game. The
author had been given permission by the company (Apache Software Ltd) to
release this game as GPL. However - THE ORIGINAL AMIGA VERSION OF SUPER
METHANE BROTHERS IS STILL A COMMERCIAL GAME IT'S LICENCE HAS NOT CHANGED.

%prep
%setup -q -n methane
%patch0 -p1

%build
cd source/linux
export CXXFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}
install source/linux/%{name} $RPM_BUILD_ROOT/%{_gamesbindir}

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/methane
?package(%{name}):command="NO_XALF %{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="gnome" section="Amusement/Arcade" title="%{summary}" \
  longtitle="A bubble bobble like arcade game"
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="X11" section="Amusement/Arcade" title="%{summary}" \
  longtitle="A bubble bobble like arcade game"
EOF

chmod a+rx docs

mkdir -p $RPM_BUILD_ROOT/var/lib/games
touch $RPM_BUILD_ROOT/var/lib/games/methanescores
chmod a+w $RPM_BUILD_ROOT/var/lib/games/methanescores

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%{update_menus}
if [ ! -f /var/lib/games/methanescores ]; then
		touch /var/lib/games/methanescores
		chown games.games /var/lib/games/methanescores
		chmod 664 /var/lib/games/methanescores
fi		

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc authors copying readme history install todo docs/
%attr(2755, root, games) %{_gamesbindir}/*
%attr(664, games, games) %ghost /var/lib/games/methanescores
%{_menudir}/*
%{_iconsdir}/*

%changelog
* Mon Sep 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- don't require launch_x11_clanapp anymore we're using clanlib-0.5
- mimic krozat and use NO_XALF for gnome

* Mon Sep 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-2mdk
- use great work from Sitsofe Wheeler <sits@sucs.swan.ac.uk>
  - add menu support with icons
  - patch savegame location
- allow saving of scorefile using setgid games and ghostfile

* Fri Aug 24 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- new version
- 3 patches integrated upstream

* Tue Jun 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.4-1mdk
- first mdk package (suggested by pambon)
